## ros-vision-opencv 1.11.11+ds

=== cv_bridge/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(cv_bridge)

find_package(catkin REQUIRED COMPONENTS rosconsole sensor_msgs)

if(NOT ANDROID)
find_package(Boost REQUIRED python)
else()
find_package(Boost REQUIRED)
endif()
find_package(OpenCV REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS rosconsole sensor_msgs
  DEPENDS OpenCV
)

catkin_python_setup()

include_directories(SYSTEM ${Boost_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS})
include_directories(include ${catkin_INCLUDE_DIRS})

if(NOT ANDROID)
add_subdirectory(python)
endif()
add_subdirectory(src)
if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

# install the include folder
install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== image_geometry/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(image_geometry)

find_package(catkin REQUIRED sensor_msgs)
find_package(OpenCV REQUIRED)

catkin_package(CATKIN_DEPENDS sensor_msgs
               DEPENDS OpenCV
               INCLUDE_DIRS include
               LIBRARIES ${PROJECT_NAME}
)

catkin_python_setup()

include_directories(SYSTEM ${catkin_INCLUDE_DIRS}
                           ${OpenCV_INCLUDE_DIRS}
)
include_directories(include)

# add a library
add_library(${PROJECT_NAME} src/pinhole_camera_model.cpp src/stereo_camera_model.cpp)
target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}/
)

install(TARGETS ${PROJECT_NAME}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

# add tests
if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

=== opencv_apps/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(opencv_apps)

find_package(catkin REQUIRED COMPONENTS cv_bridge dynamic_reconfigure message_generation image_transport nodelet roscpp)

find_package(OpenCV REQUIRED)
message(STATUS "OpenCV Components: ${OpenCV_LIB_COMPONENTS}")
if(OpenCV_VERSION VERSION_LESS "3.0" OR TARGET opencv_optflow)
  set(OPENCV_HAVE_OPTFLOW TRUE)
endif()

# generate the dynamic_reconfigure config file
generate_dynamic_reconfigure_options(
  cfg/EdgeDetection.cfg cfg/HoughLines.cfg cfg/HoughCircles.cfg
  cfg/FindContours.cfg cfg/ConvexHull.cfg cfg/GeneralContours.cfg cfg/ContourMoments.cfg
  cfg/FaceDetection.cfg
  cfg/GoodfeatureTrack.cfg
  #
  cfg/CamShift.cfg
  cfg/FBackFlow.cfg
  cfg/LKFlow.cfg
  cfg/PeopleDetect.cfg
  cfg/PhaseCorr.cfg
  cfg/SegmentObjects.cfg
  cfg/SimpleFlow.cfg
  cfg/WatershedSegmentation.cfg
  )

## Generate messages in the 'msg' folder
add_message_files(
   FILES
   Point2D.msg
   Point2DStamped.msg
   Point2DArray.msg
   Point2DArrayStamped.msg
   Rect.msg
   RectArray.msg
   RectArrayStamped.msg
   Flow.msg
   FlowStamped.msg
   FlowArray.msg
   FlowArrayStamped.msg
   RectArrayStamped.msg
   Size.msg
   Face.msg
   FaceArray.msg
   FaceArrayStamped.msg
   Line.msg
   LineArray.msg
   LineArrayStamped.msg
   RotatedRect.msg
   RotatedRectStamped.msg
   RotatedRectArray.msg
   RotatedRectArrayStamped.msg
   Circle.msg
   CircleArray.msg
   CircleArrayStamped.msg
   Moment.msg
   MomentArray.msg
   MomentArrayStamped.msg
   Contour.msg
   ContourArray.msg
   ContourArrayStamped.msg
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  geometry_msgs
)

catkin_package()

include_directories( ${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS})

## Declare a cpp library
if(OPENCV_HAVE_OPTFLOW)
  list(APPEND ${PROJECT_NAME}_EXTRA_FILES src/nodelet/simple_flow_nodelet.cpp)
endif()

add_library(${PROJECT_NAME} SHARED
  # https://github.com/Itseez/opencv/blob/2.4/samples/cpp/tutorial_code
  # ImgTrans
  src/nodelet/edge_detection_nodelet.cpp
  src/nodelet/hough_lines_nodelet.cpp
  src/nodelet/hough_circles_nodelet.cpp
  # ShapeDescriptors
  src/nodelet/find_contours_nodelet.cpp
  src/nodelet/convex_hull_nodelet.cpp
  src/nodelet/general_contours_nodelet.cpp
  src/nodelet/contour_moments_nodelet.cpp
  # objectDetection
  src/nodelet/face_detection_nodelet.cpp
  # TrackingMotion
  src/nodelet/goodfeature_track_nodelet.cpp
  # https://github.com/Itseez/opencv/blob/2.4/samples/cpp
  # 3calibration.cpp
  # bagofwords_classification.cpp
  # bgfg_gmg.cpp
  # bgfg_segm.cpp
  # brief_match_test.cpp
  # build3dmodel.cpp
  # calibration_artificial.cpp
  # calibration.cpp
  src/nodelet/camshift_nodelet.cpp
  src/nodelet/simple_example_nodelet.cpp
  src/nodelet/simple_compressed_example_nodelet.cpp
  # chamfer.cpp
  # connected_components.cpp
  # contours2.cpp
  # convexhull.cpp
  # cout_mat.cpp
  # delaunay2.cpp
  # demhist.cpp
  # descriptor_extractor_matcher.cpp
  # detection_based_tracker_sample.cpp
  # detector_descriptor_evaluation.cpp
  # detector_descriptor_matcher_evaluation.cpp
  # dft.cpp
  # distrans.cpp
  # drawing.cpp
  # edge.cpp
  # em.cpp
  # fabmap_sample.cpp
  # facerec_demo.cpp
  # facial_features.cpp
  src/nodelet/fback_flow_nodelet.cpp
  # ffilldemo.cpp
  # filestorage.cpp
  # fitellipse.cpp
  # freak_demo.cpp
  # gencolors.cpp
  # generic_descriptor_match.cpp
  # grabcut.cpp
  # houghcircles.cpp
  # houghlines.cpp
  # hybridtrackingsample.cpp
  # image.cpp
  # imagelist_creator.cpp
  # image_sequence.cpp
  # inpaint.cpp
  # intelperc_capture.cpp
  # kalman.cpp
  # kmeans.cpp
  # laplace.cpp
  # latentsvm_multidetect.cpp
  # letter_recog.cpp
  # linemod.cpp
  src/nodelet/lk_flow_nodelet.cpp
  # logpolar_bsm.cpp
  # matcher_simple.cpp
  # matching_to_many_images.cpp
  # meanshift_segmentation.cpp
  # minarea.cpp
  # morphology2.cpp
  # opencv_version.cpp
  # OpenEXRimages_HDR_Retina_toneMapping.cpp
  # OpenEXRimages_HDR_Retina_toneMapping_video.cpp
  # openni_capture.cpp
  # pca.cpp
  src/nodelet/people_detect_nodelet.cpp
  src/nodelet/phase_corr_nodelet.cpp
  # points_classifier.cpp
  # retinaDemo.cpp
  # rgbdodometry.cpp
  src/nodelet/segment_objects_nodelet.cpp
  ## select3dobj.cpp
###
### simple flow requires opencv-contrib https://github.com/ros-perception/vision_opencv/issues/108
###
###  src/nodelet/simple_flow_nodelet.cpp
  # squares.cpp
  # starter_imagelist.cpp
  # starter_video.cpp
  # stereo_calib.cpp
  # stereo_match.cpp
  # stitching.cpp
  # stitching_detailed.cpp
  # tvl1_optical_flow.cpp
  ## videocapture_pvapi.cpp
  ## video_dmtx.cpp
  # video_homography.cpp
  # videostab.cpp
  src/nodelet/watershed_segmentation_nodelet.cpp
  ${${PROJECT_NAME}_EXTRA_FILES}
)

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencfg ${PROJECT_NAME}_generate_messages_cpp)
install(TARGETS ${PROJECT_NAME}
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

add_executable(edge_detection_exe src/node/edge_detection.cpp)
SET_TARGET_PROPERTIES(edge_detection_exe PROPERTIES OUTPUT_NAME edge_detection)
target_link_libraries(edge_detection_exe ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

add_executable(hough_lines_exe src/node/hough_lines.cpp)
SET_TARGET_PROPERTIES(hough_lines_exe PROPERTIES OUTPUT_NAME hough_lines)
target_link_libraries(hough_lines_exe ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

add_executable(hough_circles_exe src/node/hough_circles.cpp)
SET_TARGET_PROPERTIES(hough_circles_exe PROPERTIES OUTPUT_NAME hough_circles)
target_link_libraries(hough_circles_exe ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

add_executable(find_contours_exe src/node/find_contours.cpp)
SET_TARGET_PROPERTIES(find_contours_exe PROPERTIES OUTPUT_NAME find_contours)
target_link_libraries(find_contours_exe ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

add_executable(convex_hull_exe src/node/convex_hull.cpp)
SET_TARGET_PROPERTIES(convex_hull_exe PROPERTIES OUTPUT_NAME convex_hull)
target_link_libraries(convex_hull_exe ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

add_executable(general_contours_exe src/node/general_contours.cpp)
SET_TARGET_PROPERTIES(general_contours_exe PROPERTIES OUTPUT_NAME general_contours)
target_link_libraries(general_contours_exe ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

add_executable(contour_moments_exe src/node/contour_moments.cpp)
SET_TARGET_PROPERTIES(contour_moments_exe PROPERTIES OUTPUT_NAME contour_moments)
target_link_libraries(contour_moments_exe ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

add_executable(face_detection_exe src/node/face_detection.cpp)
SET_TARGET_PROPERTIES(face_detection_exe PROPERTIES OUTPUT_NAME face_detection)
target_link_libraries(face_detection_exe ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

add_executable(goodfeature_track_exe src/node/goodfeature_track.cpp)
SET_TARGET_PROPERTIES(goodfeature_track_exe PROPERTIES OUTPUT_NAME goodfeature_track)
target_link_libraries(goodfeature_track_exe ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

  # bgfg_gmg.cpp
  # bgfg_segm.cpp
  # calibration.cpp

add_executable(camshift_exe src/node/camshift.cpp)
SET_TARGET_PROPERTIES(camshift_exe PROPERTIES OUTPUT_NAME camshift)
target_link_libraries(camshift_exe ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

add_executable(simple_example_exe src/node/simple_example.cpp)
SET_TARGET_PROPERTIES(simple_example_exe PROPERTIES OUTPUT_NAME simple_example)
target_link_libraries(simple_example_exe ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

add_executable(simple_compressed_example_exe src/node/simple_compressed_example.cpp)
SET_TARGET_PROPERTIES(simple_compressed_example_exe PROPERTIES OUTPUT_NAME simple_compressed_example)
target_link_libraries(simple_compressed_example_exe ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

add_executable(fback_flow_exe src/node/fback_flow.cpp)
SET_TARGET_PROPERTIES(fback_flow_exe PROPERTIES OUTPUT_NAME fback_flow)
target_link_libraries(fback_flow_exe ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

  # fback.cpp
  # hybridtrackingsample.cpp
  # image_sequence.cpp
  # intelperc_capture.cpp
  # laplace.cpp
  # linemod.cpp
  # lkdemo.cpp

add_executable(lk_flow_exe src/node/lk_flow.cpp)
SET_TARGET_PROPERTIES(lk_flow_exe PROPERTIES OUTPUT_NAME lk_flow)
target_link_libraries(lk_flow_exe ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

add_executable(people_detect_exe src/node/people_detect.cpp)
SET_TARGET_PROPERTIES(people_detect_exe PROPERTIES OUTPUT_NAME people_detect)
target_link_libraries(people_detect_exe ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

add_executable(phase_corr_exe src/node/phase_corr.cpp)
SET_TARGET_PROPERTIES(phase_corr_exe PROPERTIES OUTPUT_NAME phase_corr)
target_link_libraries(phase_corr_exe ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

  # phase_corr.cpp
  # retinaDemo.cpp
  # segment_objects.cpp

add_executable(segment_objects_exe src/node/segment_objects.cpp)
SET_TARGET_PROPERTIES(segment_objects_exe PROPERTIES OUTPUT_NAME segment_objects)
target_link_libraries(segment_objects_exe ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

  # select3dobj.cpp

# simple flow requires opencv-contrib https://github.com/ros-perception/vision_opencv/issues/108
if(OPENCV_HAVE_OPTFLOW)
  add_executable(simple_flow_exe src/node/simple_flow.cpp)
  SET_TARGET_PROPERTIES(simple_flow_exe PROPERTIES OUTPUT_NAME simple_flow)
  target_link_libraries(simple_flow_exe ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})
endif()

  # starter_video.cpp
  # videocapture_pvapi.cpp
  # video_dmtx.cpp
  # video_homography.cpp

add_executable(watershed_segmentation_exe src/node/watershed_segmentation.cpp)
SET_TARGET_PROPERTIES(watershed_segmentation_exe PROPERTIES OUTPUT_NAME watershed_segmentation)
target_link_libraries(watershed_segmentation_exe ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})


install(TARGETS edge_detection_exe hough_lines_exe hough_circles_exe face_detection_exe goodfeature_track_exe
  camshift_exe simple_example_exe simple_compressed_example_exe fback_flow_exe lk_flow_exe people_detect_exe phase_corr_exe segment_objects_exe watershed_segmentation_exe
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(FILES nodelet_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## test
if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest)
  add_subdirectory(test)
endif()

=== cv_bridge/src/CMakeLists.txt ===
# add library
include_directories(./)
add_library(${PROJECT_NAME} cv_bridge.cpp rgb_colors.cpp)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBRARIES} ${catkin_LIBRARIES})

install(TARGETS ${PROJECT_NAME} DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

if(NOT ANDROID)
# add a Boost Python library
find_package(PythonInterp REQUIRED)
find_package(PythonLibs "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}")

#Get the numpy include directory from its python module
if(NOT PYTHON_NUMPY_INCLUDE_DIR)
    execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "import numpy; print(numpy.get_include())"
                    RESULT_VARIABLE PYTHON_NUMPY_PROCESS
                    OUTPUT_VARIABLE PYTHON_NUMPY_INCLUDE_DIR
                    OUTPUT_STRIP_TRAILING_WHITESPACE)

    if(PYTHON_NUMPY_PROCESS EQUAL 0)
       file(TO_CMAKE_PATH "${PYTHON_NUMPY_INCLUDE_DIR}" PYTHON_NUMPY_INCLUDE_CMAKE_PATH)
       set(PYTHON_NUMPY_INCLUDE_DIR ${PYTHON_NUMPY_INCLUDE_CMAKE_PATH} CACHE PATH "Numpy include directory")
    else(PYTHON_NUMPY_PROCESS EQUAL 0)
        message(SEND_ERROR "Could not determine the NumPy include directory, verify that NumPy was installed correctly.")
    endif(PYTHON_NUMPY_PROCESS EQUAL 0)
 endif(NOT PYTHON_NUMPY_INCLUDE_DIR)

include_directories(SYSTEM ${PYTHON_INCLUDE_PATH}
                           ${Boost_INCLUDE_DIRS}
                           ${PYTHON_NUMPY_INCLUDE_DIR} # cv_bridge module uses NumPy functions
)

if (PYTHON_VERSION_MAJOR VERSION_EQUAL 3)
  add_definitions(-DPYTHON3)
endif()

if (OpenCV_VERSION_MAJOR VERSION_EQUAL 3)
add_library(${PROJECT_NAME}_boost module.cpp module_opencv3.cpp)
else()
add_library(${PROJECT_NAME}_boost module.cpp module_opencv2.cpp)
endif()
target_link_libraries(${PROJECT_NAME}_boost ${Boost_LIBRARIES}
                                            ${catkin_LIBRARIES}
                                            ${PYTHON_LIBRARIES}
                                            ${PROJECT_NAME}
)

set_target_properties(${PROJECT_NAME}_boost PROPERTIES
                      LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_PYTHON_DESTINATION}/${PROJECT_NAME}/boost/
                      PREFIX ""
)
if(APPLE)
  set_target_properties(${PROJECT_NAME}_boost PROPERTIES
                        SUFFIX ".so")
endif()

install(TARGETS ${PROJECT_NAME}_boost DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}/boost/)
endif()

=== cv_bridge/test/CMakeLists.txt ===
# add the tests

# add boost directories for now
include_directories("../src")

catkin_add_gtest(${PROJECT_NAME}-utest test_endian.cpp utest.cpp utest2.cpp test_rgb_colors.cpp)
target_link_libraries(${PROJECT_NAME}-utest
  ${PROJECT_NAME}
  ${OpenCV_LIBRARIES}
  ${catkin_LIBRARIES}
)

catkin_add_nosetests(enumerants.py)

=== opencv_apps/test/CMakeLists.txt ===
# Tests simple calibration dataset
catkin_download_test_data(face_detector_withface_test_diamondback.bag http://download.ros.org/data/face_detector/face_detector_withface_test_diamondback.bag
  DESTINATION ${CMAKE_CURRENT_SOURCE_DIR}
  MD5 59126117e049e69d577b7ee27251a6f8
  )
catkin_download_test_data(vslam_tutorial.bag http://download.ros.org/data/vslam_system/vslam_tutorial.bag
  DESTINATION .
  MD5 f5aece448b7af00a38a993eb71400806
  )
add_custom_command(OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/vslam_tutorial.bag
  DEPENDS vslam_tutorial.bag
  COMMAND rosbag reindex vslam_tutorial.bag --output-dir ${CMAKE_CURRENT_SOURCE_DIR}
)
add_custom_target(vslam_tutorial_bag DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/vslam_tutorial.bag)
add_dependencies(tests vslam_tutorial_bag)

#add_rostest(test-apps.test)
add_rostest(test-edge_detection.test ARGS gui:=false)
add_rostest(test-hough_lines.test ARGS gui:=false)
add_rostest(test-hough_circles.test ARGS gui:=false)
add_rostest(test-find_contours.test ARGS gui:=false)
add_rostest(test-convex_hull.test ARGS gui:=false)
add_rostest(test-general_contours.test ARGS gui:=false)
add_rostest(test-contour_moments.test ARGS gui:=false)
add_rostest(test-face_detection.test ARGS gui:=false)
add_rostest(test-goodfeature_track.test ARGS gui:=false)
add_rostest(test-camshift.test ARGS gui:=false)
add_rostest(test-fback_flow.test ARGS gui:=false)
add_rostest(test-lk_flow.test ARGS gui:=false)
add_rostest(test-people_detect.test ARGS gui:=false)
add_rostest(test-phase_corr.test ARGS gui:=false)
add_rostest(test-segment_objects.test ARGS gui:=false)
# simple flow requires opencv-contrib https://github.com/ros-perception/vision_opencv/issues/108
if(OPENCV_HAVE_OPTFLOW)
  add_rostest(test-simple_flow.test ARGS gui:=false)
endif()
add_rostest(test-watershed_segmentation.test ARGS gui:=false)

=== debian/changelog ===
ros-vision-opencv (1.11.11+ds-1) unstable; urgency=medium

  * Imported Upstream version 1.11.11+ds
  * Update patches

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Fri, 05 Feb 2016 11:43:33 +0100

ros-vision-opencv (1.11.10+ds-1) unstable; urgency=medium

  * Imported Upstream version 1.11.10+ds
  * Refresh patches
  * Add new librostest-dev build dependency

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 19 Jan 2016 11:32:58 +0100

ros-vision-opencv (1.11.9+ds-3) unstable; urgency=medium

  * Fix package descriptions (Closes: #810956)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Fri, 15 Jan 2016 14:51:32 +0100

ros-vision-opencv (1.11.9+ds-2) unstable; urgency=medium

  * Include -dev package dependency fixes

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 01:25:31 +0000

ros-vision-opencv (1.11.9+ds-1) unstable; urgency=medium

  * Imported Upstream version 1.11.9+ds (remove embedded Boost)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 04 Jan 2016 12:50:28 +0000

ros-vision-opencv (1.11.9-1) unstable; urgency=medium

  * Initial release (Closes: #804041)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 28 Dec 2015 23:32:38 +0000

=== debian/control ===
Source: ros-vision-opencv
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), librosconsole-dev, libsensor-msgs-dev, libboost-python-dev, libopencv-dev, libdynamic-reconfigure-config-init-mutex-dev, ros-message-generation, libimage-transport-dev, libnodeletlib-dev, libroscpp-dev, python-numpy, python-dynamic-reconfigure, libstd-srvs-dev, dh-python, python, librostest-dev
Standards-Version: 3.9.6
Section: libs
Homepage: http://wiki.ros.org/vision_opencv
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-vision-opencv.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/vision-opencv.git;a=summary

Package: libcv-bridge-dev
Section: libdevel
Architecture: any
Depends: libcv-bridge0d (= ${binary:Version}), ${misc:Depends}, librosconsole-dev, libsensor-msgs-dev
Description: cv_bridge Robot OS package - development
 This package is part of Robot OS (ROS). It contains development files for
 CvBridge, which converts between ROS Image messages and OpenCV images.

Package: libcv-bridge0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: cv_bridge Robot OS package
 This package is part of Robot OS (ROS). It contains the library for
 CvBridge, which converts between ROS Image messages and OpenCV images.

Package: python-cv-bridge
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: cv_bridge ROS package - Python bindings
 This package is part of Robot OS (ROS). It contains the python interface for
 CvBridge, which converts between ROS Image messages and OpenCV images.

Package: libimage-geometry-dev
Section: libdevel
Architecture: any
Depends: libimage-geometry0d (= ${binary:Version}), ${misc:Depends}, libopencv-dev, libsensor-msgs-dev
Description: image_geometry Robot OS package - development
 This package is part of Robot OS (ROS). image_geometry contains C++ and Python
 libraries for interpreting images geometrically. It interfaces the calibration
 parameters in sensor_msgs/CameraInfo messages with OpenCV functions such as
 image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
 OpenCV data types.

Package: libimage-geometry0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: image_geometry Robot OS package - runtime
 This package is part of Robot OS (ROS). image_geometry contains C++ and Python
 libraries for interpreting images geometrically. It interfaces the calibration
 parameters in sensor_msgs/CameraInfo messages with OpenCV functions such as
 image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
 OpenCV data types.

Package: python-image-geometry
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: image_geometry Robot OS package - Python bindings
 This package is part of Robot OS (ROS). image_geometry contains C++ and Python
 libraries for interpreting images geometrically. It interfaces the calibration
 parameters in sensor_msgs/CameraInfo messages with OpenCV functions such as
 image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
 OpenCV data types.

Package: libopencv-apps-dev
Section: libdevel
Architecture: any
Depends: libopencv-apps0d (= ${binary:Version}), ${misc:Depends}, libcv-bridge-dev, libdynamic-reconfigure-config-init-mutex-dev, ros-message-generation, libimage-transport-dev, libnodeletlib-dev, libroscpp-dev
Description: opencv_apps Robot OS package - development files
 This package is part of Robot OS (ROS). It contains development
 headers for a library for the opencv_apps library.

Package: libopencv-apps0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: opencv_apps Robot OS package - runtime files
 This package is part of Robot OS (ROS). It contains the opencv_apps library.

Package: python-opencv-apps
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: opencv_apps Robot OS package - Python bindings
 This package is part of Robot OS (ROS). It contains the Python bindings for
 the opencv_apps library.

Package: cl-opencv-apps
Section: lisp
Architecture: all
Depends: ${misc:Depends}
Description: opencv_apps Robot OS package - LISP bindings
 This package is part of Robot OS (ROS). It contains the LISP bindings for
 the opencv_apps library.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel --with=python2 --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install
	dh_numpy

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/vision_opencv-$1\.tar\.gz/ \
  https://github.com/ros-perception/vision_opencv/releases .*/v?(\d\S*)\.tar\.gz

## ros-vision-opencv 1.12.3+ds

=== cv_bridge/CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,7 @@
 
 catkin_python_setup()
 
-include_directories(SYSTEM ${Boost_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS})
-include_directories(include ${catkin_INCLUDE_DIRS})
+include_directories(include ${Boost_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})
 
 if(NOT ANDROID)
 add_subdirectory(python)

=== image_geometry/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 catkin_python_setup()
 
-include_directories(SYSTEM ${catkin_INCLUDE_DIRS}
+include_directories(${catkin_INCLUDE_DIRS}
                            ${OpenCV_INCLUDE_DIRS}
 )
 include_directories(include)

=== vision_opencv/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(vision_opencv)
find_package(catkin REQUIRED)
catkin_metapackage()

=== cv_bridge/src/CMakeLists.txt ===
--- 
+++ 
@@ -26,10 +26,7 @@
     endif(PYTHON_NUMPY_PROCESS EQUAL 0)
  endif(NOT PYTHON_NUMPY_INCLUDE_DIR)
 
-include_directories(SYSTEM ${PYTHON_INCLUDE_PATH}
-                           ${Boost_INCLUDE_DIRS}
-                           ${PYTHON_NUMPY_INCLUDE_DIR} # cv_bridge module uses NumPy functions
-)
+include_directories(${PYTHON_INCLUDE_PATH} ${Boost_INCLUDE_DIRS} ${PYTHON_NUMPY_INCLUDE_DIR})
 
 if (PYTHON_VERSION_MAJOR VERSION_EQUAL 3)
   add_definitions(-DPYTHON3)

=== cv_bridge/test/CMakeLists.txt ===
--- 
+++ 
@@ -11,3 +11,5 @@
 )
 
 catkin_add_nosetests(enumerants.py)
+catkin_add_nosetests(conversions.py)
+catkin_add_nosetests(python_bindings.py)

=== debian/changelog ===
ros-vision-opencv (1.12.3+ds-2) unstable; urgency=medium

  * Port to debhelper 10
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Update policy and debhelper versions
  * Add missing dependencies (Closes: #896383, #896406)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 21 Apr 2018 10:11:00 +0200

ros-vision-opencv (1.12.3+ds-1) unstable; urgency=medium

  * New upstream version 1.12.3+ds

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 06 Dec 2016 10:57:41 +0100

ros-vision-opencv (1.12.2+ds-3) unstable; urgency=medium

  * remove unneeded dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 11 Nov 2016 11:33:24 +0100

ros-vision-opencv (1.12.2+ds-2) unstable; urgency=medium

  * Uploaded to unstable. Transition initiated.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 01 Nov 2016 23:00:30 +0100

ros-vision-opencv (1.12.2+ds-1) experimental; urgency=medium

  [ Leopold Palomo-Avellaneda ]
  * Imported Upstream version 1.12.2+ds
  * Dropped opencv-apps. Upstream move it to another package
  * Update changelog
  * Added hardening to rules
  * Updated copyright

  [ Jochen Sprickerhof ]
  * Update d/copyright
  * Bump Soname of libcv-bridge

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 27 Oct 2016 18:07:25 +0200

ros-vision-opencv (1.11.11+ds-4) unstable; urgency=medium

  * Add missing dependency
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update my email address
  * Fix build dependencies (Closes: #835745)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Aug 2016 23:35:52 +0200

ros-vision-opencv (1.11.11+ds-3) unstable; urgency=medium

  * Updated Vcs-Browser and Vcs-Git fields
  * Deleted dropped software entry
  * Silencing some lintian warnings
  * Moved arch-depenent files from libopencv-apps0d. Closes: #815876
  * Dropped unused license
  * Bump Standards-Version to 3.9.7 (no changes)
  * Updated watch file with the mangle suffix

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Thu, 03 Mar 2016 16:43:06 +0100

ros-vision-opencv (1.11.11+ds-2) unstable; urgency=medium

  * Adopt to new libexec location in catkin

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 24 Feb 2016 18:48:06 +0100

=== debian/control ===
Source: ros-vision-opencv
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 11), catkin, librosconsole-dev, libsensor-msgs-dev, libboost-python-dev, libopencv-dev, python-numpy, dh-python, python, librostest-dev
Standards-Version: 4.1.4
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/vision_opencv
Vcs-Git: https://salsa.debian.org/science-team/ros-vision-opencv.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-vision-opencv

Package: libcv-bridge-dev
Section: libdevel
Architecture: any
Depends: libcv-bridge1d (= ${binary:Version}), ${misc:Depends}, librosconsole-dev, libsensor-msgs-dev, libopencv-dev
Description: cv_bridge Robot OS package - development
 This package is part of Robot OS (ROS). It contains development files for
 CvBridge, which converts between ROS Image messages and OpenCV images.
 .
 This package contains the development files.

Package: libcv-bridge1d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: cv_bridge Robot OS package
 This package is part of Robot OS (ROS). It contains the library for
 CvBridge, which converts between ROS Image messages and OpenCV images.
 .
 This package contains the library itself.

Package: python-cv-bridge
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs, python-sensor-msgs
Description: cv_bridge ROS package - Python bindings
 This package is part of Robot OS (ROS). It contains the Python interface for
 CvBridge, which converts between ROS Image messages and OpenCV images.
 .
 This package contains Python code.

Package: libimage-geometry-dev
Section: libdevel
Architecture: any
Depends: libimage-geometry0d (= ${binary:Version}), ${misc:Depends}, libopencv-dev, libsensor-msgs-dev
Description: image_geometry Robot OS package - development
 This package is part of Robot OS (ROS). It contains libraries for interpreting 
 images geometrically. It interfaces the calibration parameters in 
 sensor_msgs/CameraInfo messages with OpenCV functions such as
 image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
 OpenCV data types.
 .
 This package contains the C++ development library.

Package: libimage-geometry0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: image_geometry Robot OS package - runtime
 This package is part of Robot OS (ROS). It contains libraries for interpreting 
 images geometrically. It interfaces the calibration parameters in 
 sensor_msgs/CameraInfo messages with OpenCV functions such as
 image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
 OpenCV data types.
 .
 This package contains the C++ library.

Package: python-image-geometry
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs, python-opencv, python-sensor-msgs
Description: image_geometry Robot OS package - Python bindings
 This package is part of Robot OS (ROS). It contains libraries for interpreting 
 images geometrically. It interfaces the calibration parameters in 
 sensor_msgs/CameraInfo messages with OpenCV functions such as
 image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
 OpenCV data types.
 .
 This package contains the Python interface.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,+bindnow 

%:
	dh $@ --with=python2 --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install
	dh_numpy

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/vision_opencv-$1\.tar\.gz/ \
#  https://github.com/ros-perception/vision_opencv/releases .*/v?(\d\S*)\.tar\.gz

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/vision_opencv-$1\.tar\.gz/,dversionmangle=s/\+ds\d?$//,repacksuffix=+ds\
 https://github.com/ros-perception/vision_opencv/releases .*/v?(\d\S*)\.tar\.gz

## ros-vision-opencv 1.13.0+ds

=== cv_bridge/CMakeLists.txt ===
--- 
+++ 
@@ -4,17 +4,29 @@
 find_package(catkin REQUIRED COMPONENTS rosconsole sensor_msgs)
 
 if(NOT ANDROID)
-find_package(Boost REQUIRED python)
+  find_package(PythonLibs)
+  if(PYTHONLIBS_VERSION_STRING VERSION_LESS 3)
+    find_package(Boost REQUIRED python)
+  else()
+    find_package(Boost REQUIRED python3)
+  endif()
 else()
 find_package(Boost REQUIRED)
 endif()
-find_package(OpenCV REQUIRED)
+find_package(OpenCV 3 REQUIRED
+  COMPONENTS
+    opencv_core
+    opencv_imgproc
+    opencv_imgcodecs
+  CONFIG
+)
 
 catkin_package(
   INCLUDE_DIRS include
   LIBRARIES ${PROJECT_NAME}
   CATKIN_DEPENDS rosconsole sensor_msgs
   DEPENDS OpenCV
+  CFG_EXTRAS cv_bridge-extras.cmake
 )
 
 catkin_python_setup()

=== image_geometry/CMakeLists.txt ===
--- 
+++ 
@@ -12,10 +12,8 @@
 
 catkin_python_setup()
 
-include_directories(${catkin_INCLUDE_DIRS}
-                           ${OpenCV_INCLUDE_DIRS}
-)
 include_directories(include)
+include_directories(${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS})
 
 # add a library
 add_library(${PROJECT_NAME} src/pinhole_camera_model.cpp src/stereo_camera_model.cpp)

=== opencv_tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(opencv_tests)

find_package(catkin REQUIRED)
catkin_package()

=== cv_bridge/python/CMakeLists.txt ===
configure_file(__init__.py.plain.in
               ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}/boost/__init__.py
               @ONLY
)

install(FILES ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}/boost/__init__.py
        DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}/boost/
)

=== image_geometry/test/CMakeLists.txt ===
catkin_add_nosetests(directed.py)

catkin_add_gtest(${PROJECT_NAME}-utest utest.cpp)
target_link_libraries(${PROJECT_NAME}-utest ${PROJECT_NAME} ${OpenCV_LIBS})

=== debian/changelog ===
ros-vision-opencv (1.13.0+ds-2) unstable; urgency=medium

  * Add Python 3 package

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 03 Nov 2018 18:11:43 +0100

ros-vision-opencv (1.13.0+ds-1) unstable; urgency=medium

  * Restrict d/watch to ROS1 (and general cleanup)
  * New upstream version 1.13.0+ds
  * Rebase patches
  * Bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 03 Nov 2018 00:06:59 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 11), catkin, librosconsole-dev, libsensor-msgs-dev, libboost-python-dev, libopencv-dev, python-numpy, dh-python, python, librostest-dev
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11), catkin, librosconsole-dev, libsensor-msgs-dev, libboost-python-dev, libopencv-dev, python-numpy, dh-python, python, librostest-dev, python3-numpy, python3
+Standards-Version: 4.2.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/vision_opencv
@@ -36,19 +36,29 @@
 Section: python
 Architecture: any
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs, python-sensor-msgs
-Description: cv_bridge ROS package - Python bindings
+Description: cv_bridge ROS package - Python 2 bindings
  This package is part of Robot OS (ROS). It contains the Python interface for
  CvBridge, which converts between ROS Image messages and OpenCV images.
  .
- This package contains Python code.
+ This package contains Python 2 code.
+
+Package: python3-cv-bridge
+Section: python
+Architecture: any
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs, python3-sensor-msgs
+Description: cv_bridge ROS package - Python 3 bindings
+ This package is part of Robot OS (ROS). It contains the Python interface for
+ CvBridge, which converts between ROS Image messages and OpenCV images.
+ .
+ This package contains Python 3 code.
 
 Package: libimage-geometry-dev
 Section: libdevel
 Architecture: any
 Depends: libimage-geometry0d (= ${binary:Version}), ${misc:Depends}, libopencv-dev, libsensor-msgs-dev
 Description: image_geometry Robot OS package - development
- This package is part of Robot OS (ROS). It contains libraries for interpreting 
- images geometrically. It interfaces the calibration parameters in 
+ This package is part of Robot OS (ROS). It contains libraries for interpreting
+ images geometrically. It interfaces the calibration parameters in
  sensor_msgs/CameraInfo messages with OpenCV functions such as
  image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
  OpenCV data types.
@@ -60,8 +70,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Description: image_geometry Robot OS package - runtime
- This package is part of Robot OS (ROS). It contains libraries for interpreting 
- images geometrically. It interfaces the calibration parameters in 
+ This package is part of Robot OS (ROS). It contains libraries for interpreting
+ images geometrically. It interfaces the calibration parameters in
  sensor_msgs/CameraInfo messages with OpenCV functions such as
  image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
  OpenCV data types.
@@ -72,12 +82,24 @@
 Section: python
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs, python-opencv, python-sensor-msgs
-Description: image_geometry Robot OS package - Python bindings
- This package is part of Robot OS (ROS). It contains libraries for interpreting 
- images geometrically. It interfaces the calibration parameters in 
+Description: image_geometry Robot OS package - Python 2 bindings
+ This package is part of Robot OS (ROS). It contains libraries for interpreting
+ images geometrically. It interfaces the calibration parameters in
  sensor_msgs/CameraInfo messages with OpenCV functions such as
  image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
  OpenCV data types.
  .
- This package contains the Python interface.
+ This package contains the Python 2 interface.
 
+Package: python3-image-geometry
+Section: python
+Architecture: all
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs, python3-opencv, python3-sensor-msgs
+Description: image_geometry Robot OS package - Python 3 bindings
+ This package is part of Robot OS (ROS). It contains libraries for interpreting
+ images geometrically. It interfaces the calibration parameters in
+ sensor_msgs/CameraInfo messages with OpenCV functions such as
+ image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
+ OpenCV data types.
+ .
+ This package contains the Python 3 interface.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python2,python3 --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install
	dh_numpy

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*$//,repacksuffix=+ds,\
    filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/ros-perception/vision_opencv/releases \
    (?:.*?/)?v?(1[\d.]*)\.tar\.gz debian uupdate

## ros-vision-opencv 1.15.0%2Bds

=== cv_bridge/CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,30 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.0.2)
 project(cv_bridge)
 
 find_package(catkin REQUIRED COMPONENTS rosconsole sensor_msgs)
 
 if(NOT ANDROID)
   find_package(PythonLibs)
-  if(PYTHONLIBS_VERSION_STRING VERSION_LESS 3)
+
+  if(PYTHONLIBS_VERSION_STRING VERSION_LESS "3.8")
+    # Debian Buster
+    find_package(Boost REQUIRED python37)
+  else()
+    # Ubuntu Focal
     find_package(Boost REQUIRED python)
-  else()
-    find_package(Boost REQUIRED python3)
   endif()
 else()
 find_package(Boost REQUIRED)
 endif()
-find_package(OpenCV 3 REQUIRED
+
+set(_opencv_version 4)
+find_package(OpenCV 4 QUIET)
+if(NOT OpenCV_FOUND)
+  message(STATUS "Did not find OpenCV 4, trying OpenCV 3")
+  set(_opencv_version 3)
+endif()
+
+find_package(OpenCV ${_opencv_version4} REQUIRED
   COMPONENTS
     opencv_core
     opencv_imgproc
@@ -32,6 +43,7 @@
 catkin_python_setup()
 
 include_directories(include ${Boost_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})
+link_directories(${Boost_LIBRARY_DIRS})
 
 if(NOT ANDROID)
 add_subdirectory(python)

=== cv_bridge/test/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # add boost directories for now
 include_directories("../src")
 
-catkin_add_gtest(${PROJECT_NAME}-utest test_endian.cpp utest.cpp utest2.cpp test_rgb_colors.cpp)
+catkin_add_gtest(${PROJECT_NAME}-utest test_endian.cpp test_compression.cpp utest.cpp utest2.cpp test_rgb_colors.cpp)
 target_link_libraries(${PROJECT_NAME}-utest
   ${PROJECT_NAME}
   ${OpenCV_LIBRARIES}
